In order to compile this project you will need:

Microsoft Visual Studio 2013 (for compiler)
Qt SDK 5.3.1
Qt Creator IDE
Debugging Tools For Windows

Install Visual Studio
Install Qt SDK 5.3.1
Install Debugging Tools for Windows
Install Qt Creater IDE
Open Qt Creator and configure build rules (QMake path, compiler, and debugger)
Open system-toolkit.pro file in Qt Creator
Build and launch